:root {
    --color-black: #000000;
    --color-white: #ffffff;
    --color-brown: #8a5222;
    --color-greybrown: #897f7c;
    --color-lightblue: #8cacd4;
    --color-lightblue95: #c2d3e9e5;
    --color-lightblue50: #8cacd48c;
    --color-whiteblue: #dbe4fe;
    --color-lightgrey: #f2f3f4;


    /* .h-typ1 | max 42px | min 30px */
    --fs-h-typ1: clamp(1.875rem, 0.9636rem + 1.8987vw, 2.625rem);

    /* .h-typ2 | max 30px | min 22px */
    --fs-h-typ2: clamp(1.375rem, 0.7674rem + 1.2658vw, 1.875rem);

    /* p | max 20px | min 17px */
    --fs-p: clamp(1.0625rem, 0.6828rem + 0.7911vw, 1.375rem);

    /* .textsmall | max 16px | min 16px */
    --fs-textsmall: 16px;

    /* .accordeon-header h3 | max 28px | min 20px */
    --fs-accordeon-h3: clamp(1.25rem, 0.6424rem + 1.2658vw, 1.75rem);



    --maxwidth: 1418px;
    --mainpadding: 120px;
    --mobilepadding: 40px;


    /*    --fs-mainmenuitem: clamp(1.5625rem, -0.4934rem + 2.6316vw, 2.1875rem);
    --fs-submenuitem: 20px;

    --wrapper-maxwidth: 1630px;
    --wrapper-padding: clamp(1.25rem, 0.1363rem + 2.3202vw, 2.5rem);

    --block-inner-padding-x: clamp(1.25rem, 0.1363rem + 2.3202vw, 2.5rem);
*/
}


body {
    margin: 0;
    padding: 0;
    border: 0;
    font-family: 'Merriweather';
    font-weight: 300;
    color: var(--color-greybrown);
}

img {
    max-width: 100%;
    height: auto;
}

#maincontent {
    max-width: var(--maxwidth);
    margin: 0 auto;
    padding: 0 var(--mainpadding);
}


@media only screen and (max-width: 1000px) {
    #maincontent {
        padding-left: var(--mobilepadding);
        padding-right: var(--mobilepadding);
    }

    .header-scrolled-logo.is-visible {
        display: none;
    }
}



#herocontent {
    max-width: var(--maxwidth);
    margin: 0 auto;
    padding: 0 var(--mainpadding);
}


@media only screen and (max-width: 1000px) {
    #herocontent {
        padding: 0;
        max-width: 100vw;
    }
}



/*
    Container
*/
.bgcolor-lightgrey {
    background-color: var(--bgcolor-lightgrey);
}

.container-small {
    padding-left: var(--wrapper-padding);
    padding-right: var(--wrapper-padding);
}

.container-bgcolor {
    margin-left: auto;
    margin-right: auto;
    box-sizing: border-box;
}

.container-bgcolor:not(.bgcolor-notdefined) {
    padding-left: var(--wrapper-padding);
    padding-right: var(--wrapper-padding);
}

.container-small .container-bgcolor {
    max-width: var(--wrapper-maxwidth);
}

.container-contentwrapper {
    max-width: var(--wrapper-maxwidth);
    margin-left: auto;
    margin-right: auto;
    padding-top: 40px;
    padding-bottom: 60px;
}

.frame-type-container-2cols.nopadding .container-bgcolor,
.frame-type-container-2cols.nopadding .container-contentwrapper {
    padding: 0;
}

.frame-type-container-1col .container-contentwrapper {
    display: grid;
    grid-template-columns: 1fr;
}

.frame-type-container-2cols .container-contentwrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
}



.container-col {
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
}


.frame-type-container-2cols .container-col1.column-padding-1 {
    padding-left: var(--wrapper-padding);
}

.frame-type-container-2cols .container-col2.column-padding-1 {
    padding-right: var(--wrapper-padding);
}

@media only screen and (max-width: 1000px) {
    .frame-type-container-2cols .container-contentwrapper {
        grid-template-columns: 1fr;
    }

    .frame-type-container-2cols .container-col1.column-padding-1,
    .frame-type-container-2cols .container-col2.column-padding-1 {
        padding-left: 0;
        padding-right: 0;
    }
}

.container-col.justify-content-center {
    justify-content: center;
}

/*
    Typography
*/

a {
    color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0 0 1em 0;
    padding: 0;
}

.h-typ1 {
    font-size: var(--fs-h-typ1);
    font-weight: normal;
    font-family: 'IBM Plex Sans Condensed';
    color: var(--color-brown);
    text-transform: uppercase;
    letter-spacing: 0.08em;
    margin-bottom: 0.5em;
}

.h-typ2 {
    font-size: var(--fs-h-typ2);
    font-weight: normal;
    font-family: 'IBM Plex Sans Condensed';
    color: var(--color-lightblue);
    text-transform: uppercase;
    letter-spacing: 0.08em;
}


p {
    font-family: 'Merriweather';
    font-size: var(--fs-p);
    font-weight: 300;
    line-height: 1.6em;
    letter-spacing: 0.08em;
}

.ce-bodytext {
    max-width: 1150px;
}

.ce-bodytext ul,
.ce-bodytext ol {
    font-family: 'Merriweather';
    font-size: var(--fs-p);
    line-height: 1.6em;
    ;
    font-weight: 300;
    margin: 0 0 1em 0;
    padding: 0 0 0 1.75em;
    letter-spacing: 0.08em;
}

.ce-bodytext ul li::marker {
    content: '→  ';
}


b,
strong {
    font-weight: 500;
}

.nomarginbottom {
    margin-bottom: 0;
}

p.uppercaserwide,
.uppercaserwide {
    text-transform: uppercase;
    letter-spacing: 0.16em !important;
}

p.lowercase,
.lowercase {
  text-transform: lowercase !important;
}


.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.ibmsansplex {
    font-weight: normal;
    font-family: 'IBM Plex Sans Condensed';
    text-transform: uppercase;
    letter-spacing: 0.08em;
}

.textsmall,
p.textsmall,
.ce-bodytext ul.textsmall,
.ce-bodytext ol.textsmall,
span.textsmall {
    font-size: var(--fs-textsmall);
    letter-spacing: 0.1em;
}

.color-lightblue {
    color: var(--color-lightblue);
}

.color-brown {
    color: var(--color-brown);
}

@media only screen and (max-width: 600px) {

    .h-typ1,
    .h-typ2,
    p {
        word-break: break-word;
    }
}

/*
    simplegallery
    musste hierhin verlegt werden, da in der assetcss des Elementes keine relativen Pfade zum sitepackage möglich sind
*/
.simplegallery-opener button {
    background: url(../Icons/Gutsuz_Website_SVG_Pfeil-blau.svg) right center no-repeat;
    background-size: 50px auto;
}



/*
    accordeon
*/

.accordeon {
    padding: 20px 0;
    border-bottom: 2px dotted var(--color-lightblue);
    max-width: 1150px;
    position: relative;
}

.accordeon-header button {
    appearance: none;
    margin: 0;
    padding: 0;
    border: 0;
    text-align: left;
    background-color: transparent;
    cursor: pointer;


    display: flex;
    align-items: center;
    width: 100%;
}

.accordeon-header h3 {
    font-size: var(--fs-accordeon-h3);
    font-weight: normal;
    font-family: 'IBM Plex Sans Condensed';
    color: var(--color-brown);
    text-transform: uppercase;
    letter-spacing: 0.08em;
    margin: 0;
    width: calc(100% - 60px - 70px);
    hyphens: auto;
}

.accordeon-iconimage {
    width: 70px;
    padding-left: 5px;
}

.accordeon-status-indicator {
    position: absolute;
    right: 5px;
    bottom: 20px;
    z-index: -1;
}

.accordeon-status-indicator img {
    width: 32px;
    height: 32px;
    transform: rotate(-180deg);
    transition: transform 0.2s ease-in-out;
}

.accordeon.open .accordeon-status-indicator {
    z-index: 1;
    cursor: pointer;
}


.accordeon.open .accordeon-status-indicator img {
    transform: rotate(0deg);
}

.accordeon-wrapper {
    overflow: hidden;
    padding-top: 20px;
    width: 100%;
    padding-left: 75px;
    padding-right: 70px;
    box-sizing: border-box;
}




@media only screen and (max-width: 1000px) {
    .accordeon-wrapper {
        padding-left: 10px;
        padding-right: 40px;
    }
}




.spotlight-overlay {
    position: fixed;
    inset: 0;
    background: var(--color-lightblue50);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

.spotlight-overlay[hidden] {
    display: none;
}

.spotlight-content {
    background: #ffffff;
    max-width: 1150px;
    width: 90%;
    padding: 80px;
    outline: none;
    position: relative
}



/* Fokus sichtbar */
.spotlight-content :focus-visible,
.overlay-close:focus-visible {
    outline: 3px solid #005fcc;
    outline-offset: 3px;
}

/* Reduced Motion */
@media (prefers-reduced-motion: reduce) {
    .spotlight-overlay {
        transition: none;
    }
}

.overlay-close {
    position: absolute;
    right: 80px;
    top: 70px;
    appearance: none;
    margin: 0;
    padding: 0;
    border: 0;
    background-color: transparent;
    cursor: pointer;
}

@media only screen and (max-width: 1000px) {
    .spotlight-content {
        padding: var(--mobilepadding);
    }

    .overlay-close {
        right: 30px;
        top: 30px;
    }
}